Bug 190520 - CVE-2006-0208 PHP Cross Site Scripting (XSS) flaw
CVE-2006-0208 PHP Cross Site Scripting (XSS) flaw
Status: CLOSED ERRATA
Product: Stronghold for Red Hat Linux
Classification: Retired
Component: php (Show other bugs)
4.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Joe Orton
Stronghold Engineering List
impact=low,public=20060112,reported=2...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-03 05:18 EDT by Mark J. Cox (Product Security)
Modified: 2007-04-18 13:42 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2006-0549
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-27 15:56:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2006-05-03 05:18:02 EDT
+++ This bug was initially created as a clone of Bug #178028 +++

PHP 5.1.2 has been released:
http://www.php.net/release_5_1_2.php

The release announcement mentions this security fix:
    * Possible cross-site scripting problems in certain error conditions.

The problem exists in the way PHP displays error messages.  This issue is only
exploitable when 'display_errors' and 'html_errors' are both set to 'On' in the
PHP configuration file.  When a HTML error message was being generated, the
output was not properly sanitized, which could allow an attacker to insert
arbitrary HTML, thus allowing a XSS attack.

This issue is only exploitable if 'html_errors' is on, which the configuration
file cleary states should not be used on production machines.

I have verified this flaw exists in the PHP 4.3 and 5.1 branches.
Comment 2 Red Hat Bugzilla 2006-07-27 15:56:26 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0549.html

Note You need to log in before you can comment on or make changes to this bug.